## org.gnu.gtk
Class AccelMap

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.AccelMap

public class AccelMap
extends GObject

Method Summary
`static boolean` `changeEntry(java.lang.String accelPath, int key, ModifierType mods, boolean replace)` Changes the key (from `KeyValue`) and `ModifierType` currently associated with accelPath.
`static AccelMap` `getAccelMap()`
`static AccelMap` `getAccelMap(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`static void` `load(java.lang.String filename)` Loads a file previously saved with the same method, parses the file for accelerator specifications, and propogates them accordingly.
`static void` `lockPath(java.lang.String path)` Locks the given accelerator path.
`static AccelKey` `lookupEntry(java.lang.String accelPath)` Looks up the accelerator entry for accelPath and returns the AccelKey
`static void` `save(java.lang.String filename)` Saves the current accelerator specification (accelerator path, key, and modifiers) to the filename specified.
`static void` `unlockPath(java.lang.String path)` Undoes the last call to `lockPath(String)` on this accel_path.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAccelMap

    public static AccelMap getAccelMap(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### getAccelMap

    public static AccelMap getAccelMap()

### load

    public static void load(java.lang.String filename)

  Loads a file previously saved with the same method, parses the file for accelerator specifications, and propogates them accordingly.

  Parameters:
    `filename` - The name of the file to read.

### save

    public static void save(java.lang.String filename)

  Saves the current accelerator specification (accelerator path, key, and modifiers) to the filename specified.

  Parameters:
    `filename` - The name of the file to write.

### lockPath

    public static void lockPath(java.lang.String path)

  Locks the given accelerator path. If the accelerator map doesn't yet contain an entry for accel_path, a new one is created. Locking an accelerator path prevents its accelerator from being changed during runtime. A locked accelerator path can be unlocked by `unlockPath(String)` Refer to `changeEntry(String, int, ModifierType, boolean)` for information about runtime accelerator changes. If called more than once, accel_path remains locked until `unlockPath(String)` has been called an equivalent number of times. Note that locking of individual accelerator paths is independent from locking the `AccelGroup` containing them. For runtime accelerator changes to be possible both the accelerator path and its AccelGroup have to be unlocked.

  Parameters:
    `path` - The path to lock

### unlockPath

    public static void unlockPath(java.lang.String path)

  Undoes the last call to `lockPath(String)` on this accel_path. Refer to `lockPath(String)` for information about accelerator path locking.

  Parameters:
    `path` - The path to unlock

### changeEntry

    public static boolean changeEntry(java.lang.String accelPath,
                                      int key,
                                      ModifierType mods,
                                      boolean replace)

  Changes the key (from `KeyValue`) and `ModifierType` currently associated with accelPath. Due to conflicts with other accelerators, a change may not always be possible, replace indicates whether other accelerators may be deleted to resolve such conflicts. A change will only occur if all conflicts could be resolved (which might not be the case if conflicting accelerators are locked). Successful changes are indicated by a true return value.

  Parameters:
    `accelPath` - The path to change
    `key` - The new KeySymbol for the path
    `mods` - The new modifiers to the path
    `replace` - If true, removes conflicting accelerators
  Returns:
    true if the change succeeded, false, otherwise
  Since:
    2.8.1

### lookupEntry

    public static AccelKey lookupEntry(java.lang.String accelPath)

  Looks up the accelerator entry for accelPath and returns the AccelKey

  Parameters:
    `accelPath` - The path to get the accelerator entry for
  Returns:
    The AccelKey representing the accelerator
  Since:
    2.8.1